JUCE: containers

JUCE

Classes | Functions
containers
juce_core

## Classes
class | AbstractFifo
| Encapsulates the logic required to implement a lock-free FIFO. More...
class | AbstractFifo::ScopedReadWrite< mode >
| Class for a scoped reader/writer. More...
class | Array< ElementType, TypeOfCriticalSectionToUse, minimumAllocatedSize >
| Holds a resizable array of primitive or copy-by-value objects. More...
class | ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >
| Implements some basic array storage allocation functions. More...
class | ArrayBase< ElementType, TypeOfCriticalSectionToUse >
| A basic object container. More...
class | DynamicObject
| Represents a dynamically implemented object. More...
class | DefaultElementComparator< ElementType >
| A simple ElementComparator class that can be used to sort an array of objects that support the '<' operator. More...
struct | DefaultHashFunctions
| A simple class to generate hash functions for some primitive types, intended for use with the HashMap class. More...
class | HashMap< KeyType, ValueType, HashFunctionType, TypeOfCriticalSectionToUse >
| Holds a set of mappings between some key/value pairs. More...
struct | HashMap< KeyType, ValueType, HashFunctionType, TypeOfCriticalSectionToUse >::Iterator
| Iterates over the items in a HashMap. More...
class | LinkedListPointer< ObjectType >
| Helps to manipulate singly-linked lists of objects. More...
class | LinkedListPointer< ObjectType >::Appender
| Allows efficient repeated insertions into a list. More...
class | ListenerList< ListenerClass, ArrayType >
| Holds a set of objects and can invoke a member function callback on each object in the set with a single call. More...
struct | ListenerList< ListenerClass, ArrayType >::DummyBailOutChecker
| A dummy bail-out checker that always returns false. More...
struct | ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >
| Iterates the listeners in a ListenerList. More...
class | NamedValueSet
| Holds a set of named var objects. More...
struct | NamedValueSet::NamedValue
| Structure for a named var object. More...
class | OwnedArray< ObjectClass, TypeOfCriticalSectionToUse >
| An array designed for holding objects. More...
class | PropertySet
| A set of named property values, which can be strings, integers, floating point, etc. More...
class | ReferenceCountedArray< ObjectClass, TypeOfCriticalSectionToUse >
| Holds a list of objects derived from ReferenceCountedObject, or which implement basic reference-count handling methods. More...
class | ScopedValueSetter< ValueType >
| Helper class providing an RAII-based mechanism for temporarily setting and then re-setting a value. More...
class | SingleThreadedAbstractFifo
| Encapsulates the logic for a single-threaded FIFO. More...
class | SortedSet< ElementType, TypeOfCriticalSectionToUse >
| Holds a set of unique primitive objects, such as ints or doubles. More...
class | SparseSet< Type >
| Holds a set of primitive values, storing them as a set of ranges. More...
class | var
| A variant class, that can be used to hold a range of primitive values. More...
struct | var::NativeFunctionArgs
| This structure is passed to a NativeFunction callback, and contains invocation details about the function's arguments and context. More...
struct | VariantConverter< Type >
| This template-overloaded class can be used to convert between var and custom types. More...

## Functions
JUCE_API bool | operator== (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator!= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator< (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator<= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator> (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator>= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator== (const var &, const String &)
JUCE_API bool | operator!= (const var &, const String &)
JUCE_API bool | operator== (const var &, const char *)
JUCE_API bool | operator!= (const var &, const char *)

## Detailed Description

## Function Documentation

## ◆ operator==() [1/3]

JUCE_API bool operator== | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

Referenced by ColourGradient::operator!=(), AudioPlayHead::CurrentPositionInfo::operator!=(), MidiBufferIterator::operator!=(), MPEZoneLayout::operator!=(), AudioProcessorGraph::NodeAndChannel::operator!=(), SortedSet< ElementType, TypeOfCriticalSectionToUse >::operator!=(), and LookAndFeel::playAlertSound().

## ◆ operator!=() [1/3]

JUCE_API bool operator!= | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

Referenced by ColourGradient::operator!=().

## ◆ operator<()

JUCE_API bool operator< | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

Referenced by LookAndFeel::playAlertSound().

## ◆ operator<=()

JUCE_API bool operator<= | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

## ◆ operator>()

JUCE_API bool operator> | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

## ◆ operator>=()

JUCE_API bool operator>= | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

## ◆ operator==() [2/3]

JUCE_API bool operator== | ( | const var & | ,
|  | const String & |
| ) |  |

## ◆ operator!=() [2/3]

JUCE_API bool operator!= | ( | const var & | ,
|  | const String & |
| ) |  |

## ◆ operator==() [3/3]

JUCE_API bool operator== | ( | const var & | ,
|  | const char * |
| ) |  |

## ◆ operator!=() [3/3]

JUCE_API bool operator!= | ( | const var & | ,
|  | const char * |
| ) |  |